Summary:	Shared functions for Ayatana indicators
Name:		libindicator
Version:	0.3.17
Release:	4%{?dist}
License:	GPLv3
Group:		System Environment/Libraries
URL:		https://launchpad.net/libindicator
Source0:	http://launchpad.net/libindicator/0.3/%{version}/+download/%{name}-%{version}.tar.gz


BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtk3-devel

%description
A set of symbols and convenience functions that all Ayatana indicators
are likely to use.

%package	tools
Summary:	Tools for %{name}
Group:		System Environment/Libraries

%description	tools
This package contains tools used by the %{name} package, the
Ayatana indicators system.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	gtk3
Summary:	GTK+3 build of %{name}
Group:		System Environment/Libraries

%description	gtk3
A set of symbols and convenience functions that all Ayatana indicators
are likely to use. This is the GTK+ 3 build of %{name}, for use
by GTK+ 3 apps.

%package	gtk3-tools
Summary:	Tools for %{name}
Group:		System Environment/Libraries

%description	gtk3-tools
This package contains tools used by the %{name}-gtk3 package, the
Ayatana indicators system. This package contains the builds of the
tools for the GTK+3 build of %{name}.

%package	gtk3-devel
Summary:	Development files for %{name}-gtk3
Group:		Development/Libraries
Requires:	%{name}-gtk3 = %{version}-%{release}
Requires:	pkgconfig

%description	gtk3-devel
The %{name}-gtk3-devel package contains libraries and header files for
developing applications that use %{name}-gtk3.

%prep
%setup -q

%build
# we build it twice, once against GTK+ 3 and once against GTK+ 2, so
# both GTK+ 2 and GTK+ 3 apps can use it; the GTK+ 3 build is
# libindicator-gtk3. When we have no need for the GTK+ 2 build any more
# we can drop the -gtk3 package and have the main package build against
# GTK+ 3.
%global _configure ../configure
rm -rf build-gtk3 build-gtk2
mkdir build-gtk3 build-gtk2
pushd build-gtk2
%configure --disable-static
make %{?_smp_mflags}
popd
pushd build-gtk3
%configure --disable-static --with-gtk=3
make %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
make -C build-gtk2 DESTDIR=%{buildroot} install
make -C build-gtk3 DESTDIR=%{buildroot} install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

# this dummy indicator is fairly useless, it's not shipped in Ubuntu
rm -f %{buildroot}%{_libdir}/libdummy-indicator*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post gtk3 -p /sbin/ldconfig
%postun gtk3 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libindicator.so.*

%files	tools
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/indicator-loader

%files	devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/libindicator-0.3
%{_libdir}/libindicator.so
%{_libdir}/pkgconfig/indicator.pc
# This is marked as 'for development use only'
%{_sysconfdir}/X11/Xsession.d/80indicator-debugging

%files	gtk3
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libindicator3.so.*

%files	gtk3-tools
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/indicator-loader3

%files	gtk3-devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/libindicator3-0.3
%{_libdir}/libindicator3.so
%{_libdir}/pkgconfig/indicator3.pc

%changelog
* Thu Feb 10 2011 Matthias Clasen <mclasen@redhat.com> - 0.3.17-4
 Rebuild against newer gtk3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> - 0.3.17-2
 Rebuild against newer gtk3

* Sun Jan 23 2011 Adam Williamson <awilliam@redhat.com> - 0.3.17-1
- new version 0.3.17
- drop both patches (upstream)
- no need for autoreconf any more

* Mon Jan 10 2011 Matthias Clasen <mclasen@redhat.com> - 0.3.15-2
- Rebuild against newer gtk3

* Fri Dec 03 2010 Adam Williamson <awilliam@redhat.com> - 0.3.15-1
- initial package
